> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Query Contacts with Full Details

POST https://api.virtuoussoftware.com/api/Contact/Query/FullContact
Content-Type: application/json

Includes full contact details instead of an abbreviated contact.

Reference: https://virtuous.ferndocs.com/reference/crm-plus/contacts-and-individuals/query-contacts-with-full-details

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Query parameters

- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10. Max is 1000.

### Body (application/json)

This endpoint expects an object.

- `includeArchived` (string, optional)
- `queryLocation` (ApiContactQueryFullContactPostRequestBodyContentApplicationJsonSchemaQueryLocation, optional)
- `groups` (list of ApiContactQueryFullContactPostRequestBodyContentApplicationJsonSchemaGroupsItems, optional)
- `sortBy` (string, optional)
- `descending` (string, optional)

## Response

### 200

OK

- `list` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (string, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiContactQueryFullContactPostRequestBodyContentApplicationJsonSchemaQueryLocation

- `topLatitude` (string, optional)
- `leftLongitude` (string, optional)
- `bottomLatitude` (string, optional)
- `rightLongitude` (string, optional)

### ApiContactQueryFullContactPostRequestBodyContentApplicationJsonSchemaGroupsItems

- `conditions` (list of ApiContactQueryFullContactPostRequestBodyContentApplicationJsonSchemaGroupsItemsConditionsItems, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItems

- `id` (string, optional)
- `contactType` (string, optional)
- `isPrivate` (string, optional)
- `name` (string, optional)
- `informalName` (string, optional)
- `description` (string, optional)
- `website` (string, optional)
- `maritalStatus` (string, optional)
- `anniversaryMonth` (string, optional)
- `anniversaryDay` (string, optional)
- `anniversaryYear` (string, optional)
- `mergedIntoContactId` (string, optional)
- `address` (ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsAddress, optional)
- `giftAskAmount` (string, optional)
- `giftAskType` (string, optional)
- `lifeToDateGiving` (string, optional)
- `yearToDateGiving` (string, optional)
- `lastGiftAmount` (string, optional)
- `lastGiftDate` (string, optional)
- `contactIndividuals` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItems, optional)
- `contactGiftsUrl` (string, optional)
- `contactPassthroughGiftsUrl` (string, optional)
- `contactPlannedGiftsUrl` (string, optional)
- `contactRecurringGiftsUrl` (string, optional)
- `contactImportantNotesUrl` (string, optional)
- `contactNotesUrl` (string, optional)
- `contactTagsUrl` (string, optional)
- `contactRelationshipsUrl` (string, optional)
- `primaryAvatarUrl` (string, optional)
- `contactReferences` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactReferencesItems, optional)
- `originSegmentId` (string, optional)
- `originSegment` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `tags` (list of string, optional)
- `organizationGroups` (list of string, optional)
- `customFields` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems, optional)
- `customCollections` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsCustomCollectionsItems, optional)

### ApiContactQueryFullContactPostRequestBodyContentApplicationJsonSchemaGroupsItemsConditionsItems

- `parameter` (string, optional)
- `operator` (string, optional)
- `value` (string, optional)
- `secondaryValue` (string, optional)
- `values` (list of string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsAddress

- `id` (string, optional)
- `label` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postal` (string, optional)
- `country` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)
- `startMonth` (string, optional)
- `startDay` (string, optional)
- `endMonth` (string, optional)
- `endDay` (string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItems

- `id` (string, optional)
- `contactId` (string, optional)
- `prefix` (string, optional)
- `firstName` (string, optional)
- `middleName` (string, optional)
- `lastName` (string, optional)
- `suffix` (string, optional)
- `gender` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)
- `isSecondary` (string, optional)
- `canBeSecondary` (string, optional)
- `birthMonth` (string, optional)
- `birthDay` (string, optional)
- `birthYear` (string, optional)
- `birthDate` (string, optional)
- `approximateAge` (string, optional)
- `isDeceased` (string, optional)
- `passion` (string, optional)
- `avatarUrl` (string, optional)
- `contactMethods` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsContactMethodsItems, optional)
- `createDateTimeUtc` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `customFields` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsCustomFieldsItems, optional)
- `customCollections` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsCustomCollectionsItems, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactReferencesItems

- `source` (string, optional)
- `id` (string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsCustomCollectionsItems

- `customCollectionId` (string, optional)
- `customCollectionName` (string, optional)
- `collectionInstanceId` (string, optional)
- `fields` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsCustomCollectionsItemsFieldsItems, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsContactMethodsItems

- `id` (string, optional)
- `type` (string, optional)
- `value` (string, optional)
- `isOptedIn` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsCustomCollectionsItems

- `customCollectionId` (string, optional)
- `customCollectionName` (string, optional)
- `collectionInstanceId` (string, optional)
- `fields` (list of ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsCustomCollectionsItemsFieldsItems, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsCustomCollectionsItemsFieldsItems

- `name` (string, optional)
- `value` (string, optional)

### ApiContactQueryFullContactPostResponsesContentApplicationJsonSchemaListItemsContactIndividualsItemsCustomCollectionsItemsFieldsItems

- `name` (string, optional)
- `value` (string, optional)

## Examples

**Request**

```json
{
  "includeArchived": "<boolean>",
  "queryLocation": {
    "topLatitude": "<double>",
    "leftLongitude": "<double>",
    "bottomLatitude": "<double>",
    "rightLongitude": "<double>"
  },
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    },
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string>",
  "descending": "<boolean>"
}
```

**Response**

```json
{
  "list": [
    {
      "id": "<integer>",
      "contactType": "<string>",
      "isPrivate": "<boolean>",
      "name": "<string>",
      "informalName": "<string>",
      "description": "<string>",
      "website": "<string>",
      "maritalStatus": "<string>",
      "anniversaryMonth": "<integer>",
      "anniversaryDay": "<integer>",
      "anniversaryYear": "<integer>",
      "mergedIntoContactId": "<integer>",
      "address": {
        "id": "<integer>",
        "label": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "country": "<string>",
        "isPrimary": "<boolean>",
        "canBePrimary": "<boolean>",
        "startMonth": "<integer>",
        "startDay": "<integer>",
        "endMonth": "<integer>",
        "endDay": "<integer>"
      },
      "giftAskAmount": "<string>",
      "giftAskType": "<string>",
      "lifeToDateGiving": "<string>",
      "yearToDateGiving": "<string>",
      "lastGiftAmount": "<string>",
      "lastGiftDate": "<string>",
      "contactIndividuals": [
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        },
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        }
      ],
      "contactGiftsUrl": "<string>",
      "contactPassthroughGiftsUrl": "<string>",
      "contactPlannedGiftsUrl": "<string>",
      "contactRecurringGiftsUrl": "<string>",
      "contactImportantNotesUrl": "<string>",
      "contactNotesUrl": "<string>",
      "contactTagsUrl": "<string>",
      "contactRelationshipsUrl": "<string>",
      "primaryAvatarUrl": "<string>",
      "contactReferences": [
        {
          "source": "<string>",
          "id": "<string>"
        },
        {
          "source": "<string>",
          "id": "<string>"
        }
      ],
      "originSegmentId": "<integer>",
      "originSegment": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "tags": [
        "<string>",
        "<string>"
      ],
      "organizationGroups": [
        "<string>",
        "<string>"
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    },
    {
      "id": "<integer>",
      "contactType": "<string>",
      "isPrivate": "<boolean>",
      "name": "<string>",
      "informalName": "<string>",
      "description": "<string>",
      "website": "<string>",
      "maritalStatus": "<string>",
      "anniversaryMonth": "<integer>",
      "anniversaryDay": "<integer>",
      "anniversaryYear": "<integer>",
      "mergedIntoContactId": "<integer>",
      "address": {
        "id": "<integer>",
        "label": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "country": "<string>",
        "isPrimary": "<boolean>",
        "canBePrimary": "<boolean>",
        "startMonth": "<integer>",
        "startDay": "<integer>",
        "endMonth": "<integer>",
        "endDay": "<integer>"
      },
      "giftAskAmount": "<string>",
      "giftAskType": "<string>",
      "lifeToDateGiving": "<string>",
      "yearToDateGiving": "<string>",
      "lastGiftAmount": "<string>",
      "lastGiftDate": "<string>",
      "contactIndividuals": [
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        },
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        }
      ],
      "contactGiftsUrl": "<string>",
      "contactPassthroughGiftsUrl": "<string>",
      "contactPlannedGiftsUrl": "<string>",
      "contactRecurringGiftsUrl": "<string>",
      "contactImportantNotesUrl": "<string>",
      "contactNotesUrl": "<string>",
      "contactTagsUrl": "<string>",
      "contactRelationshipsUrl": "<string>",
      "primaryAvatarUrl": "<string>",
      "contactReferences": [
        {
          "source": "<string>",
          "id": "<string>"
        },
        {
          "source": "<string>",
          "id": "<string>"
        }
      ],
      "originSegmentId": "<integer>",
      "originSegment": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "tags": [
        "<string>",
        "<string>"
      ],
      "organizationGroups": [
        "<string>",
        "<string>"
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "total": "<integer>"
}
```

**SDK Code**

```python Contacts and Individuals_queryContactsWithFullDetails_example
import requests

url = "https://api.virtuoussoftware.com/api/Contact/Query/FullContact"

querystring = {"skip":"1","take":"1"}

payload = {
    "includeArchived": "<boolean>",
    "queryLocation": {
        "topLatitude": "<double>",
        "leftLongitude": "<double>",
        "bottomLatitude": "<double>",
        "rightLongitude": "<double>"
    },
    "groups": [{ "conditions": [
                {
                    "parameter": "<string>",
                    "operator": "<string>",
                    "value": "<string>",
                    "secondaryValue": "<string>",
                    "values": ["<string>", "<string>"]
                },
                {
                    "parameter": "<string>",
                    "operator": "<string>",
                    "value": "<string>",
                    "secondaryValue": "<string>",
                    "values": ["<string>", "<string>"]
                }
            ] }, { "conditions": [
                {
                    "parameter": "<string>",
                    "operator": "<string>",
                    "value": "<string>",
                    "secondaryValue": "<string>",
                    "values": ["<string>", "<string>"]
                },
                {
                    "parameter": "<string>",
                    "operator": "<string>",
                    "value": "<string>",
                    "secondaryValue": "<string>",
                    "values": ["<string>", "<string>"]
                }
            ] }],
    "sortBy": "<string>",
    "descending": "<boolean>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Contacts and Individuals_queryContactsWithFullDetails_example
const url = 'https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"includeArchived":"<boolean>","queryLocation":{"topLatitude":"<double>","leftLongitude":"<double>","bottomLatitude":"<double>","rightLongitude":"<double>"},"groups":[{"conditions":[{"parameter":"<string>","operator":"<string>","value":"<string>","secondaryValue":"<string>","values":["<string>","<string>"]},{"parameter":"<string>","operator":"<string>","value":"<string>","secondaryValue":"<string>","values":["<string>","<string>"]}]},{"conditions":[{"parameter":"<string>","operator":"<string>","value":"<string>","secondaryValue":"<string>","values":["<string>","<string>"]},{"parameter":"<string>","operator":"<string>","value":"<string>","secondaryValue":"<string>","values":["<string>","<string>"]}]}],"sortBy":"<string>","descending":"<boolean>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contacts and Individuals_queryContactsWithFullDetails_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1"

	payload := strings.NewReader("{\n  \"includeArchived\": \"<boolean>\",\n  \"queryLocation\": {\n    \"topLatitude\": \"<double>\",\n    \"leftLongitude\": \"<double>\",\n    \"bottomLatitude\": \"<double>\",\n    \"rightLongitude\": \"<double>\"\n  },\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    },\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string>\",\n  \"descending\": \"<boolean>\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contacts and Individuals_queryContactsWithFullDetails_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"includeArchived\": \"<boolean>\",\n  \"queryLocation\": {\n    \"topLatitude\": \"<double>\",\n    \"leftLongitude\": \"<double>\",\n    \"bottomLatitude\": \"<double>\",\n    \"rightLongitude\": \"<double>\"\n  },\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    },\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string>\",\n  \"descending\": \"<boolean>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Contacts and Individuals_queryContactsWithFullDetails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"includeArchived\": \"<boolean>\",\n  \"queryLocation\": {\n    \"topLatitude\": \"<double>\",\n    \"leftLongitude\": \"<double>\",\n    \"bottomLatitude\": \"<double>\",\n    \"rightLongitude\": \"<double>\"\n  },\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    },\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string>\",\n  \"descending\": \"<boolean>\"\n}")
  .asString();
```

```php Contacts and Individuals_queryContactsWithFullDetails_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1', [
  'body' => '{
  "includeArchived": "<boolean>",
  "queryLocation": {
    "topLatitude": "<double>",
    "leftLongitude": "<double>",
    "bottomLatitude": "<double>",
    "rightLongitude": "<double>"
  },
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    },
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string>",
  "descending": "<boolean>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Contacts and Individuals_queryContactsWithFullDetails_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"includeArchived\": \"<boolean>\",\n  \"queryLocation\": {\n    \"topLatitude\": \"<double>\",\n    \"leftLongitude\": \"<double>\",\n    \"bottomLatitude\": \"<double>\",\n    \"rightLongitude\": \"<double>\"\n  },\n  \"groups\": [\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    },\n    {\n      \"conditions\": [\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        },\n        {\n          \"parameter\": \"<string>\",\n          \"operator\": \"<string>\",\n          \"value\": \"<string>\",\n          \"secondaryValue\": \"<string>\",\n          \"values\": [\n            \"<string>\",\n            \"<string>\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"sortBy\": \"<string>\",\n  \"descending\": \"<boolean>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Contacts and Individuals_queryContactsWithFullDetails_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "includeArchived": "<boolean>",
  "queryLocation": [
    "topLatitude": "<double>",
    "leftLongitude": "<double>",
    "bottomLatitude": "<double>",
    "rightLongitude": "<double>"
  ],
  "groups": [["conditions": [
        [
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": ["<string>", "<string>"]
        ],
        [
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": ["<string>", "<string>"]
        ]
      ]], ["conditions": [
        [
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": ["<string>", "<string>"]
        ],
        [
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": ["<string>", "<string>"]
        ]
      ]]],
  "sortBy": "<string>",
  "descending": "<boolean>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Contact/Query/FullContact?skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```